Package Base Details: python-intelhex

Git Clone URL: https://aur.archlinux.org/python-intelhex.git (read-only)
Keywords: intelhex python
Submitter: 2bluesc
Maintainer: 2bluesc (anatolik)
Last Packager: 2bluesc
Votes: 15
Popularity: 0.052012
First Submitted: 2015-11-06 04:58
Last Updated: 2018-10-28 17:20

Latest Comments

1 2 Next › Last »

codyps commented on 2017-10-30 15:43

This needs to either backport a fix for the tests failing, or disable running the tests.

https://github.com/bialix/intelhex/issues/14

https://github.com/bialix/intelhex/pull/15


======================================================================
FAIL: test_xrange_longint (intelhex.test.TestXrangeLongInt)
----------------------------------------------------------------------
Traceback (most recent call last):
File "/home/cody/.cache/pacaur/python-intelhex/src/intelhex-2.1/intelhex/test.py", line 1601, in test_xrange_longint
self.assertRaises(OverflowError, xrange, 2684625744, 2684625747)
AssertionError: OverflowError not raised

2bluesc commented on 2017-01-27 06:10

@bobsaintcool -- thanks! Merged. Let me know if you see any issues.

bobsaintcool commented on 2017-01-24 23:09

For the change that was listed by @Eschwartz I come with the following patch[0].

Does it sounds good for you ?

[0]: https://ptpb.pw/hHdr

2bluesc commented on 2017-01-24 04:11

@Eschwartz I won't have time to update this for quite some time, patches are welcome if you're digging in.

eschwartz commented on 2017-01-24 03:54

Dependencies listed in the split package_*() functions are NOT taken into account when makepkg attempts to build the package (they only get added to the metadata of the built *.pkg.tar.xz), and MUST be listed additionally as makedepends. Please fix this, as the package currently fails to build in a clean chroot (and undoubtedly fails on many users' systems as well).

Additionally, BSD licenses are considered custom licenses and MUST be installed as part of this package.

While you are at it, the source archive is simply named $pkgver.tar.gz which will clash if a user uses a shared $SRCDEST. Please use a source url like "${__pkgname}-${pkgver}.tar.gz::${url}/archive/${pkgver}.tar.gz" to ensure it is downloaded to a unique filename.
Also consider adding a check() function since the sources have unittests.

(Random note: you inconsistently use braces-enclosed variables, you should choose one style and stick to it as this improves readability.)

2bluesc commented on 2016-09-07 16:48

@anatolik Added you as a co-maintainer and updated the build. Can you double check that it works for you as expected?

Thanks!

anatolik commented on 2016-09-07 16:07

python2-intelhex has been merged into this package. Please add py3/py2 support for intelhex

2bluesc commented on 2016-09-04 03:36

Merge request sent. I think it's pending action by you. I pushed a commented out split to my python-intelhex pkg.

anatolik commented on 2016-09-03 13:50

it should be merged with https://aur.archlinux.org/packages/python2-intelhex/

anatolik commented on 2016-04-27 15:04

Merging sounds good. Please create a split package and make sure packages that depend on python2-intelhex still work. Then I'll merge python2-intelhex into python-intelhex.